com.pixelmed.apps

## Class RotateFlipSetOfImages

- java.lang.Object
- - com.pixelmed.apps.RotateFlipSetOfImages

    public class RotateFlipSetOfImages
    extends java.lang.Object

A class containing an application for rotating and/or flipping a set of images and updating the other attributes accordingly.

### Nested Class Summary

Nested Classes
`protected class` `RotateFlipSetOfImages.OurMediaImporter`

### Field Summary

Fields
`protected java.lang.String` `dstFolderName`
`protected boolean` `horizontal_flip`
`protected java.lang.String` `ourAETitle`
`protected int` `rotation`
`protected boolean` `update_orientation`

### Constructor Summary

Constructors
Constructor and Description
`RotateFlipSetOfImages(int rotation, boolean horizontal_flip, boolean update_orientation, java.lang.String src, java.lang.String dstFolderName, MessageLogger logger)`

### Method Summary

Methods
`static void` `correctImageOrientationPatient(AttributeList list, int rotation, boolean horizontal_flip)`
`static void` `correctPatientOrientation(AttributeList list, int rotation, boolean horizontal_flip)`
`static double[]` `invertDirectionOfColumnVector(double[] vImageOrientationPatient)`
`static double[]` `invertDirectionOfRowVector(double[] vImageOrientationPatient)`
`static void` `main(java.lang.String[] arg)` Rotating and/or flipping a set of images and updating the other attributes accordingly.
`static void` `setDerived(AttributeList list, int rotation, boolean horizontal_flip, boolean update_orientation)`
`static double[]` `swapRowAndColumnVectors(double[] vImageOrientationPatient)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ourAETitle

    protected java.lang.String ourAETitle

#### dstFolderName

    protected java.lang.String dstFolderName

#### rotation

    protected int rotation

#### horizontal_flip

    protected boolean horizontal_flip

#### update_orientation

    protected boolean update_orientation

### Constructor Detail

#### RotateFlipSetOfImages

    public RotateFlipSetOfImages(int rotation,
                         boolean horizontal_flip,
                         boolean update_orientation,
                         java.lang.String src,
                         java.lang.String dstFolderName,
                         MessageLogger logger)
                          throws java.io.IOException,
                                 DicomException

Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### setDerived

    public static void setDerived(AttributeList list,
                  int rotation,
                  boolean horizontal_flip,
                  boolean update_orientation)
                           throws DicomException

Throws:
  `DicomException`

#### correctPatientOrientation

    public static void correctPatientOrientation(AttributeList list,
                                 int rotation,
                                 boolean horizontal_flip)
                                          throws DicomException

Throws:
  `DicomException`

#### swapRowAndColumnVectors

    public static double[] swapRowAndColumnVectors(double[] vImageOrientationPatient)

#### invertDirectionOfRowVector

    public static double[] invertDirectionOfRowVector(double[] vImageOrientationPatient)

#### invertDirectionOfColumnVector

    public static double[] invertDirectionOfColumnVector(double[] vImageOrientationPatient)

#### correctImageOrientationPatient

    public static void correctImageOrientationPatient(AttributeList list,
                                      int rotation,
                                      boolean horizontal_flip)
                                               throws DicomException

Throws:
  `DicomException`

#### main

    public static void main(java.lang.String[] arg)

Rotating and/or flipping a set of images and updating the other attributes accordingly.

Parameters:
  `arg` - array of 5 strings - rotation (0, 90, 180 or 270 degrees), horizontal flip (Y or N), update orientation (Y or N), source folder or DICOMDIR, destination folder